# DataExchange
TKIGES
IGESSelect

# IGESSelect_SelectVisibleStatus Class Reference

This selection looks at Blank Status of IGES Entities
Direct selection keeps Visible Entities (Blank = 0),
Reverse selection keeps Blanked Entities (Blank = 1)
.

`#include <IGESSelect_SelectVisibleStatus.hxx>`

Inheritance diagram for IGESSelect_SelectVisibleStatus:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_SelectVisibleStatus ()
| Creates a SelectVisibleStatus .
Standard_EXPORT Standard_Boolean | Sort (const Standard_Integer rank, const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns True if <ent> is an IGES Entity with Blank Status = 0 .
Standard_EXPORT TCollection_AsciiString | ExtractLabel () const
| Returns the Selection criterium : "IGES Entity, Status Visible" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SelectVisibleStatus::IGESSelect_SelectVisibleStatus | ( |  | ) |

## Member Function Documentation

Standard_EXPORT TCollection_AsciiString IGESSelect_SelectVisibleStatus::ExtractLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

Standard_EXPORT const IGESSelect_SelectVisibleStatus::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExtract.

Standard_EXPORT Standard_Boolean IGESSelect_SelectVisibleStatus::Sort | ( | const Standard_Integer | rank,
|  | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

The documentation for this class was generated from the following file:

- IGESSelect_SelectVisibleStatus.hxx